"""
Silique (https://www.silique.fr)
Copyright (C) 2025

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from .i18n import _


def get_rougail_config(
    *,
    backward_compatibility: bool = True,  # pylint: disable=unused-argument
) -> dict:
    options = f"""
cli:
  debug:
    description: {_('display debug informations')}
    negative_description: {_('do not display debut informations')}
    default: false
"""
    return {
        "options": options,
        "process": None,
    }
